创建待调拨的调拨单
POST
/erp/sc/routing/inventoryReceipt/StorageAllocation/submitAllocationOrder接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/inventoryReceipt/StorageAllocation/submitAllocationOrder | HTTPS | POST | 1 |
请求参数
sys_widinteger必填sys_to_widinteger必填freight_feestringother_feestringfee_part_typeintegerremarkstringpredict_timestringtypestringout_bin_typestring必填product_listarray<object>必填隐藏子属性
product_idstring必填seller_idstringfnskustringgood_numintegerbad_numintegercg_package_lengthstringcg_package_widthstringcg_package_heightstringcg_product_gross_weightstringfreight_fee_unitstringother_fee_unitstringproduct_remarkstringout_available_binarray<object>隐藏子属性
whb_codestringnumstringout_inferior_binarray<object>隐藏子属性
whb_codestringnumstringto_available_binarray<object>隐藏子属性
whb_codestringnumstringto_inferior_binarray<object>隐藏子属性
whb_codestringnumstring请求curl示例
curl --location --globoff 'https://openapi.lingxing.com/erp/sc/routing/inventoryReceipt/StorageAllocation/submitAllocationOrder?access_token=value&app_key=value&sign=value×tamp=value' \
--header 'Content-Type: application/json' \
--data '{
"sys_wid": 1,
"sys_to_wid": 11,
"freight_fee": "50.00",
"other_fee": "10.00",
"fee_part_type": 0,
"remark": "紧急调拨,请优先处理",
"predict_time": "2025-03-10",
"type": "2",
"out_bin_type": "1",
"product_list": [
{
"product_id": "1",
"seller_id": "1",
"fnsku": "X000001",
"good_num": 48,
"bad_num": 0,
"cg_package_length": "30",
"cg_package_width": "20",
"cg_package_height": "10",
"cg_product_gross_weight": "2.5",
"freight_fee_unit": "",
"other_fee_unit": "",
"product_remark": "第一批次调拨",
"out_available_bin": [
{
"whb_code": "A001",
"num": "24"
},
{
"whb_code": "A002",
"num": "24"
}
],
"out_inferior_bin": [],
"to_available_bin": [
{
"whb_code": "B001",
"num": "48"
}
],
"to_inferior_bin": []
},
{
"product_id": "2",
"seller_id": "2",
"fnsku": "X000002",
"good_num": 30,
"bad_num": 5,
"cg_package_length": "25",
"cg_package_width": "15",
"cg_package_height": "5",
"cg_product_gross_weight": "1.5",
"freight_fee_unit": "",
"other_fee_unit": "",
"product_remark": "第二批次调拨",
"out_available_bin": [
{
"whb_code": "A003",
"num": "30"
}
],
"out_inferior_bin": [
{
"whb_code": "A004",
"num": "5"
}
],
"to_available_bin": [
{
"whb_code": "B002",
"num": "30"
}
],
"to_inferior_bin": [
{
"whb_code": "B003",
"num": "5"
}
]
}
]
}'
返回结果
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
order_snstring必填成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "C70FD2A7-4E7D-6B32-7D72-FC42587CE97E",
"response_time": "2022-07-29 14:33:42",
"data": {
"order_sn": "TF220729002"
},
"total": 0
}